All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PLDAPSession::ModAttrib Class Referenceabstract

`#include <pldap.h>`

Inheritance diagram for PLDAPSession::ModAttrib:

## Public Types

enum | Operation { Add, Replace, Delete, NumOperations }
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...

## Public Member Functions

const PString & | GetName () const
Operation | GetOperation () const
void | SetLDAPMod (struct ldapmod &mod, Operation defaultOp)
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Member Functions

| ModAttrib (const PString &name, Operation op=NumOperations)
virtual PBoolean | IsBinary () const =0
virtual void | SetLDAPModVars (struct ldapmod &mod)=0
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Protected Attributes

PString | name
Operation | op

## Member Enumeration Documentation

enum PLDAPSession::ModAttrib::Operation

Enumerator
Add |
Replace |
Delete |
NumOperations |

## Constructor & Destructor Documentation

PLDAPSession::ModAttrib::ModAttrib | ( | const PString & | name,
|  | Operation | op = `NumOperations`
| ) |  |

protected

## Member Function Documentation

const PString& PLDAPSession::ModAttrib::GetName | ( |  | ) | const

inline

References name.

Operation PLDAPSession::ModAttrib::GetOperation | ( |  | ) | const

inline

References op.

virtual PBoolean PLDAPSession::ModAttrib::IsBinary | ( |  | ) | const

protected pure virtual

Implemented in PLDAPSession::BinaryModAttrib, and PLDAPSession::StringModAttrib.

void PLDAPSession::ModAttrib::SetLDAPMod | ( | struct ldapmod & | mod,
|  | Operation | defaultOp
| ) |  |

virtual void PLDAPSession::ModAttrib::SetLDAPModVars | ( | struct ldapmod & | mod | ) |

protected pure virtual

Implemented in PLDAPSession::BinaryModAttrib, and PLDAPSession::StringModAttrib.

## Member Data Documentation

PString PLDAPSession::ModAttrib::name

protected

Referenced by GetName().

Operation PLDAPSession::ModAttrib::op

protected

Referenced by GetOperation().

The documentation for this class was generated from the following file:

- pldap.h